#!/bin/sh
. ./common.sh
set -e
version="${1}"
container="ubi_${version}"

add_repo(){
    container="$1"
    forgejo="$2"
    org="$3"
    group="$4"
    if [ -z "$group" ] ; then
        group="rpm.repo"
    else
        group="rpm/${group}.repo"
    fi
    buildah run --user 0:0 "$container" dnf config-manager --add-repo "${forgejo}/api/packages/${org}/${group}"
}


init_container "$container" "registry.access.redhat.com/ubi${version}:latest"
buildah run --user 0:0 "$container" dnf install nodejs git rpm-build
commit "$container" "oci:ubi:$version"
